Subject: Re: [RFC] gitweb: Add committags support (take 2)

From: Jakub Narebski <[email-masked]>
Date: Wed, 6 Dec 2006 21:35:44 +0100

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
>> By the way, what is the formal structure of the config file? Perhaps
>> something like the notation used in RFC?
> 
> Is there an RFC for .INI format?

I don't think INI is standarized at all. The format of INI files is not 
well defined. That's why I'd like to know exact format of git INI-like 
config file format.

But what I meant was description of git config file in (used by RFCs)
augmented Backus-Naur Form (BNF) - RFC 4234.
 
>> Is it possible (and doesn't crash current git config parser) having
>>
>>   [gitweb]
>>   	blame = yes
>>   	pickaxe = no
>>   	snapshot = bzip2
>>
>>   [gitweb "committags"]
>>   	message-id = "http://news.gmane.org/find-root.php?message_id="
>>   	mantis = "http://bugs.or.cz/view.php?id="
>>   	url
>>   	sha1
>>
>> in the config file?
> 
> If you are asking about [gitweb] stanza and (seemingly
> overlapping) [gitweb "foo"] stanza, we already have prior
> examples:
> 
> 	[diff]
>         	color = auto
>         [diff "color"]
>         	whitespace = blue reverse
> 
> so your example in the above would be legal (the dash in
> 'message-id' part might be questionable, though).

That's what I was asking for. Thanks for an explanation.

-- 
Jakub Narebski